﻿@{
    ViewData["Title"] = "Friends";
}

<partial name="/Views/Shared/_UserPartial.cshtml" />

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                                <div class="widget stick-widget">
                                    <h4 class="widget-title">Followers</h4>
                                    <ul class="followers">
                                        <li>
                                            <figure><img src="images/resources/friend-avatar3.jpg" alt=""></figure>
                                            <div class="friend-meta">
                                                <h4><a href="time-line.html" title="">Allen</a></h4>
                                                <a href="#" title="" class="underline">Send Request</a>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta" id="fillContainer">
                                <div class="frnds">
                                    @{ 
                                        int count = Enumerable.Count(ViewBag.Friends);
                                    }
                                    <ul class="nav nav-tabs">
                                        <li class="nav-item"><a>Friends</a> <span>@count</span></li>
                                    </ul>
                                    <ul class="nearby-contct">
                                        @if (count == 0)
                                        {
                                            <li>
                                                <div class="nearly-pepls">
                                                    <div class="pepl-info">
                                                        <h4>User has no friends.</h4>
                                                    </div>
                                                </div>
                                            </li>
                                        }
                                        else
                                        {
                                            foreach (UserViewModel friend in ViewBag.Friends)
                                            {
                                                <li>
                                                    <div class="nearly-pepls">
                                                        <figure>
                                                            <a asp-controller="User" asp-action="Index" asp-route-id="@friend.Id" title="">
                                                                <img src="@Url.Action("GetImage", "Home", new { userId = friend.Id})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                            </a>
                                                        </figure>
                                                        <div class="pepl-info">
                                                            <h4><a asp-controller="User" asp-action="Index" asp-route-id="@friend.Id" title="">@friend.FirstName @friend.LastName</a></h4>
                                                            <a href="#" title="" class="add-butn" data-ripple="">Send Request</a>
                                                        </div>
                                                    </div>
                                                </li>
                                            }
                                        }
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>